View Issue Details

IDProjectCategoryView StatusLast Update
0032953Open CASCADEOCCT:Codingpublic2022-05-08 16:17
Reporteraml Assigned Toaml  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032953: Coding - add missing references where applicable
DescriptionCppcheck reports multiple places where consts should be replaced by const references.

Just an example:
//! Creates a bounding box, it contains:
//! - minimum/maximum point of bounding box,
//! The constructed box is qualified Void. Its gap is null.
Standard_EXPORT Bnd_Box (const gp_Pnt theMin, const gp_Pnt theMax);

This ticket is to fix such cases.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number

Activities

git

2022-04-29 15:21

administrator   ~0108257

Branch CR32953 has been created by aml.

SHA-1: 1132599cb1e6571be79ecefded2d37180bdd585a


Detailed log of new commits:

Author: aml
Date: Fri Apr 29 15:21:24 2022 +0300

    0032953: Coding - add missing references where applicable

git

2022-04-29 15:59

administrator   ~0108258

Branch CR32953 has been updated forcibly by aml.

SHA-1: 07ccd061d51338f04a110cbc02e2a1df0261dd0b

git

2022-05-04 06:44

administrator   ~0108285

Branch CR32953 has been updated forcibly by aml.

SHA-1: 021c674bc99dfdc3a715c10bd853460b99c1ae37

git

2022-05-04 08:32

administrator   ~0108286

Branch CR32953 has been updated forcibly by aml.

SHA-1: ac4f7a0d680f73f46f68b071d2cbf829891f7b0c

aml

2022-05-04 11:05

developer   ~0108287

Dear Kirill,

Please take a look at the CR32953 branch. Jenkins job is:
http://jenkins-test-occt/view/CR32953-master-aml/view/COMPARE/

git

2022-05-08 16:17

administrator   ~0108384

Branch CR32953 has been deleted by mnt.

SHA-1: ac4f7a0d680f73f46f68b071d2cbf829891f7b0c

Related Changesets

occt: master 034d1403

2022-04-29 15:21:24

aml


Committer: smoskvin Details Diff
0032953: Coding - add missing references where applicable Affected Issues
0032953
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx Diff File
mod - src/Approx/Approx_SameParameter.cxx Diff File
mod - src/BinTools/BinTools_ShapeSetBase.cxx Diff File
mod - src/BinTools/BinTools_ShapeSetBase.hxx Diff File
mod - src/Bnd/Bnd_Box.cxx Diff File
mod - src/Bnd/Bnd_Box.hxx Diff File
mod - src/BndLib/BndLib_AddSurface.cxx Diff File
mod - src/BOPAlgo/BOPAlgo_PaveFiller.hxx Diff File
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff File
mod - src/BRepLib/BRepLib_FindSurface.cxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeRevolution.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_C1.cxx Diff File
mod - src/ChFi3d/ChFi3d_ChBuilder_C3.cxx Diff File
mod - src/GeomTools/GeomTools_CurveSet.cxx Diff File
mod - src/GeomTools/GeomTools_SurfaceSet.cxx Diff File
mod - src/IntAna2d/IntAna2d_Outils.cxx Diff File
mod - src/IntAna2d/IntAna2d_Outils.hxx Diff File
mod - src/IntCurve/IntCurve_IntConicConic.cxx Diff File
mod - src/ProjLib/ProjLib_Plane.cxx Diff File
mod - src/ProjLib/ProjLib_Sphere.cxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_BoxBndTree.hxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_Curve.cxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_Wire.cxx Diff File
mod - src/ShapeFix/ShapeFix.cxx Diff File
mod - src/ShapeFix/ShapeFix_ComposeShell.cxx Diff File
mod - src/STEPCAFControl/STEPCAFControl_GDTProperty.cxx Diff File
mod - src/STEPCAFControl/STEPCAFControl_GDTProperty.hxx Diff File
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff File
mod - src/STEPCAFControl/STEPCAFControl_Writer.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller.cxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridSS.cxx Diff File
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff File
mod - src/XCAFDimTolObjects/XCAFDimTolObjects_DimensionObject.hxx Diff File
mod - src/XCAFDimTolObjects/XCAFDimTolObjects_GeomToleranceObject.cxx Diff File
mod - src/XCAFDimTolObjects/XCAFDimTolObjects_GeomToleranceObject.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_ClippingPlaneTool.cxx Diff File
mod - src/XCAFDoc/XCAFDoc_ClippingPlaneTool.hxx Diff File
mod - src/XCAFView/XCAFView_Object.hxx Diff File
mod - src/XDEDRAW/XDEDRAW_Props.cxx Diff File

Issue History

Date Modified Username Field Change
2022-04-29 13:48 aml New Issue
2022-04-29 13:48 aml Assigned To => aml
2022-04-29 13:50 aml Description Updated
2022-04-29 15:21 git Note Added: 0108257
2022-04-29 15:59 git Note Added: 0108258
2022-04-30 14:13 kgv Severity minor => integration request
2022-05-04 06:44 git Note Added: 0108285
2022-05-04 08:32 git Note Added: 0108286
2022-05-04 11:05 aml Assigned To aml => kgv
2022-05-04 11:05 aml Status new => resolved
2022-05-04 11:05 aml Steps to Reproduce Updated
2022-05-04 11:05 aml Note Added: 0108287
2022-05-04 11:09 kgv Assigned To kgv => bugmaster
2022-05-04 11:09 kgv Status resolved => reviewed
2022-05-08 13:54 bugmaster Status reviewed => tested
2022-05-08 16:15 smoskvin Changeset attached => occt master 034d1403
2022-05-08 16:15 aml Assigned To bugmaster => aml
2022-05-08 16:15 aml Status tested => verified
2022-05-08 16:15 aml Resolution open => fixed
2022-05-08 16:17 git Note Added: 0108384